package com.hongyegroup.cpt_auths.ui

import android.content.Intent
import com.guadou.lib_baselib.base.activity.BaseVDBActivity
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.ext.click
import com.guadou.lib_baselib.utils.CommUtils
import com.hongyegroup.cpt_auths.BR
import com.hongyegroup.cpt_auths.R
import com.hongyegroup.cpt_auths.databinding.ActivityChooseAuthBinding
import com.hongyegroup.cpt_auths.di.MemberServer
import com.hongyegroup.cpt_auths.mvvm.AuthViewModel
import dagger.hilt.android.AndroidEntryPoint
import javax.inject.Inject

@AndroidEntryPoint
class ChooseAuthActivity : BaseVDBActivity<AuthViewModel, ActivityChooseAuthBinding>() {

    @Inject
    lateinit var userServer: MemberServer

    companion object {
        fun startInstance() {
            val context = CommUtils.getContext()
            val intent = Intent(context, ChooseAuthActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_choose_auth, BR.viewModel, mViewModel)
    }

    override fun startObserve() {

    }

    override fun init() {

        userServer.testUser()

        mBinding.btnLogin.click {
            mViewModel.getServiceTime()
        }

    }


}